Skip to main content
DELETE
/
wallets
/
{wallet_id}
/
signer-groups
/
{signer_group_id}
Detach a signer group from a wallet
curl --request DELETE \
  --url https://api.platform.dakota.xyz/wallets/{wallet_id}/signer-groups/{signer_group_id} \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --header 'x-idempotency-key: <x-idempotency-key>' \
  --data '
{
  "signatures": [
    "LS0tLS1CRUdJ...0tLS0tCg=="
  ],
  "intent": {
    "type": "detach_group_from_wallet",
    "wallet_id": "wal_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
    "group_id": "grp_2N4YkKpKu7M3mKpGYmF8kcJ8oZT",
    "idempotency_key": "idem_2N4YkKpKu7M3mKpGYmF8kcJ8oZT"
  }
}
'
{
  "type": "https://docs.dakota.xyz/api-reference/errors#invalid-request",
  "title": "Bad request - invalid input data",
  "status": 400,
  "detail": "Bad request - invalid input data",
  "instance": "https://api.platform.dakota.xyz/wallets/example-id/signer-groups/example-id",
  "request_id": "req_01hzy6y7v8w9x0y1z2a3b4c5d6"
}

Authorizations

x-api-key
string
header
required

Headers

x-idempotency-key
string<uuid>
required

Unique key to ensure request idempotency. If the same key is used within a certain time window, the original response will be returned instead of executing the request again.

Path Parameters

wallet_id
string
required

Wallet ID KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

signer_group_id
string
required

Signer Group ID KSUID is a 27-character globally unique ID that combines a timestamp with a random component. Used for all entity identifiers in the Dakota platform.

Required string length: 27
Pattern: ^[0-9A-Za-z]{27}$
Example:

"1NFHrqBHb3cTfLVkFSGmHZqdDPi"

Body

application/json
signatures
string[]
required

List of signatures over the intent

Cryptographic signature of the endorsement base64 encoded

intent
object
required

The intent being endorsed

Response

Signer group detached successfully